package com.sw.mes.wms.service;

import java.util.List;

import javax.validation.Valid;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.sw.mes.core.dto.wms.MesasnDto;
import com.sw.mes.core.dto.wms.RematDto;
import com.sw.mes.core.dto.wms.RemesstaDto;

public interface WMSOutputService {

	void sendremessta(List<RemesstaDto> data) throws JsonProcessingException;

	void sendremat(RematDto data) throws JsonProcessingException;

	void sendMesasn(List<MesasnDto> data) throws JsonProcessingException;

	void sendrework(List<RemesstaDto> data) throws JsonProcessingException;

	void synPlantStorage(String werks) throws JsonProcessingException;

}
